%{?nodejs_find_provides_and_requires}

%global packagename readable-wrap
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.0.0
Release: 1%{?dist}.3
Summary: upgrade streams1 to streams2 streams as a standalone module
License: MIT
URL: https://github.com/substack/readable-wrap
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(readable-stream) >= 1.1.13
BuildRequires: npm(readable-stream) < 2.0.0
%if 0%{?enable_tests}
BuildRequires: npm(tape) >= 2.12.1
BuildRequires: npm(through2) >= 1.0.0
%endif

%description
Upgrade streams1 to streams2 streams as a standalone module.

This module provides a wrap function based on `Readable().wrap()` from node core
but as a standalone module.

Use this module if you don't want to wait for a patch in node core
to land that fixes falsey objectMode values in wrapped readable streams.


%prep
%setup -q -n package
%nodejs_fixdep readable-stream '^1.1.13'
%nodejs_fixdep --dev tape '>=2.12.1'
%nodejs_fixdep --dev through2 '>=1.0.0'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps
# Fix symlink to point to specific version
rm -f %{buildroot}%{nodejs_sitelib}/%{packagename}/node_modules/readable-stream
ln -sf /usr/lib/node_modules/readable-stream@1 \
    %{buildroot}%{nodejs_sitelib}/%{packagename}/node_modules/readable-stream

%check
%nodejs_symlink_deps --check
# Fix symlink to point to specific version
rm -f node_modules/readable-stream
ln -sf /usr/lib/node_modules/readable-stream@1 node_modules/readable-stream

%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test/*.js
%endif


%files
%license LICENSE
%doc *.markdown example
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Oct  2 2016 Oleg Girko <ol@infoserver.lv> - 1.0.0-2
- Require version 1 of readable-stream module
* Thu Sep 29 2016 Oleg Girko <ol@infoserver.lv> - 1.0.0-1
- Initial package.
